%global _empty_manifest_terminate_build 0
Name:		python-deepmerge
Version:	1.1.1
Release:	1
Summary:	a toolset to deeply merge python dictionaries.
License:	MIT License
URL:		http://deepmerge.readthedocs.io/en/latest/
Source0:	https://files.pythonhosted.org/packages/e7/53/09255a8dc8aaab38182f5c3d559022de2970413cbad385938bcc2cce6bfb/deepmerge-1.1.1.tar.gz
BuildArch:	noarch

%description
A tools to handle merging of nested data structures in python.

%package -n python3-deepmerge
Summary:	a toolset to deeply merge python dictionaries.
Provides:	python-deepmerge
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
BuildRequires:	python3-pbr
BuildRequires:	python3-pip
BuildRequires:	python3-wheel
BuildRequires:	python3-hatchling
%description -n python3-deepmerge
A tools to handle merging of nested data structures in python.

%package help
Summary:	Development documents and examples for deepmerge
Provides:	python3-deepmerge-doc
%description help
Development documents and examples for deepmerge

%prep
%autosetup -n deepmerge-1.1.1
sed -i '/name/a\version = 1.1.1' setup.cfg

%build
%pyproject_build

%install
%pyproject_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
touch doclist.lst
if [ -d usr/share/man ]; then
	find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/doclist.lst .

%files -n python3-deepmerge
%doc README.rst
%license LICENSE
%{python3_sitelib}/deepmerge
%{python3_sitelib}/deepmerge*.dist-info/

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Tue Mar 05 2024 yueyuankun <yueyuankun@kylinos.cn> - 1.1.1-1
- Update package to version 1.1.1

* Thu Nov 16 2023 Dongxing Wang <dongxing.wang_a@thundersoft.com> - 1.1.0-2
- change the build method from py3 to pyproject

* Thu Nov 10 2022 liweiganga <liweiganga@uniontech.com> - 1.1.0-1
- update to 1.1.0

* Tue Jul 12 2022 wangshuo <wangshuo@kylinos.cn> 1.0.1-1
- Package Spec generated by Python_Bot, create setup.py
